package middleware

import (
	"github.com/gogf/gf/v2/net/ghttp"
)

// FilterHandler 身份验证中间件及权益扣除
func FilterHandler(r *ghttp.Request) {
	if r.GetError() != nil {
		return
	}
	// 前置校验
	if beforeErr := filterBefore(r); beforeErr != nil {
		r.SetError(beforeErr)
		return
	}

	// 业务逻辑
	r.Middleware.Next()

	// 后置处理
	if afterErr := filterAfter(r); afterErr != nil {
		r.SetError(afterErr)
	}
}
